# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client
Enum ClientLoginAccountType

    java.lang.Object
      java.lang.Enum<ClientLoginAccountType>
          com.google.gdata.client.ClientLoginAccountType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ClientLoginAccountType>

    public enum ClientLoginAccountType

extends java.lang.Enum<ClientLoginAccountType>

The valid values for the "accountType" parameter in ClientLogin.

Enum Constant Summary
`GOOGLE`
`HOSTED`
`HOSTED_OR_GOOGLE`

Method Summary
`java.lang.String` `getValue()` Returns the value of the accountType.
`static ClientLoginAccountType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ClientLoginAccountType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GOOGLE

    public static final ClientLoginAccountType GOOGLE

### HOSTED

    public static final ClientLoginAccountType HOSTED

### HOSTED_OR_GOOGLE

    public static final ClientLoginAccountType HOSTED_OR_GOOGLE

Method Detail

### values

    public static ClientLoginAccountType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ClientLoginAccountType c : ClientLoginAccountType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ClientLoginAccountType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public java.lang.String getValue()

  Returns the value of the accountType.